/* Copyright (c) 1997, MpegTV LLC */
#ifndef _sync_api_h
#define _sync_api_h
#if !defined(lint) && !defined(__cplusplus)
static const char rcsid_sync_api_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/sync_api.h,v 1.8 1998/05/29 22:17:08 tristan Exp tristan $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

/*--------------------------------------------------------------------------+
| Macros:																	|
+--------------------------------------------------------------------------*/
/* Minimum and maximum framerate that can be specified */
#define MTVP_SYNC_RATE_FACTOR_MIN	(1.0/30.0)
#define MTVP_SYNC_RATE_FACTOR_MAX	16.0	/* questionnable */

/*--------------------------------------------------------------------------+
| Data types:																|
+--------------------------------------------------------------------------*/
/* Type of frame synchronization */
typedef enum {
	MTVP_SYNC_FRAMERATE = 0,		/* Sync mode (default) */
	MTVP_SYNC_IPB,				/* IPB mode */
	MTVP_SYNC_IP,				/* IP mode */
	MTVP_SYNC_I,					/* I mode */
	MTVP_SYNC_COUNT				/* number of sync modes */
} MTVP_SYNC_TYPE;

#endif /* _sync_api_h */
